Bug 178884 - Login via gdm does not source /etc/profile
Login via gdm does not source /etc/profile
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-25 01:56 EST by Mirko Streckenbach
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-26 01:57:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mirko Streckenbach 2006-01-25 01:56:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
If a user logs in via gdm, /etc/profile does not seem to be parsed.
It gets parsed if the user logs in on a tty.


Version-Release number of selected component (if applicable):
gdm-2.13.0.4-2

How reproducible:
Always

Steps to Reproduce:
1. login via gdm
2. start an xterm or gnome-terminal
3. 

Actual Results:  variables defined in the various /etc/profile.d/* scripts are NOT set.
E.g. /usr/kerberos/bin is missing from PATH if you have krb5-workstation installed.

This does not happen if you login in on a tty.


Expected Results:  the environment defined by /etc/profile should be sourced on a login via gdm


Additional info:
Comment 1 Ray Strode [halfline] 2006-01-25 10:59:52 EST
Are you using bash?

If so, if you upgrade to the version of bash in rawhide does your problem go away?
Comment 2 Mirko Streckenbach 2006-01-26 01:57:46 EST
Yes, login shell is bash.

Upgrade to bash-3.1-5 solved the problem.

Many thanks for the quick solution.


Note You need to log in before you can comment on or make changes to this bug.